GEM(4)

NAME
gem - ERI/GEM/GMAC Ethernet device driver

SYNOPSIS
gem* at pci? dev ? function ?
gem* at sbus? slot ? offset ?

Configuration of PHYs may also be necessary. See mii(4).

DESCRIPTION
The gem driver provides support for the GMac Ethernet hardware found mostly in the last Apple PowerBooks G3s and most G4-based Apple hardware, as well as many Sun UltraSPARCs.

Cards supported by this driver include:
•   Sun GEM gigabit ethernet (SX fibre variants)
•   Sun ERI 10/100
•   Apple GMAC

The GEM family supports hardware checksumming to assist in computing IPv4 TCP checksums. The gem driver supports this feature of the chip. See ifconfig(8) for information on how to enable this feature.

SEE ALSO
bmtphy(4), ifmedia(4), intro(4), mii(4), ifconfig(8) GEM Gigabit Ethernet ASIC Specification, Sun Microsystems, http://www.sun.com/processors/manuals/ge.pdf. Sbus GEM Specification, Sun Microsystems, http://mediacast.sun.com/users/Barton808/media/gem_sbus-1.pdf.

HISTORY
The gem device driver appeared in NetBSD 1.6. Support for PCI SX fibre cards was added in NetBSD 5.0. Support for SBus SX fibre cards was added in NetBSD 5.0.

AUTHORS
-nosplit The gem driver was written by Eduardo Horvath <eeh@NetBSD.org>. SX fibre support was added by Julian Coleman <jdc@NetBSD.org>. The man page was written by Thomas Klausner <wiz@NetBSD.org>.

BUGS
The hardware checksumming support does not support IPv4 UDP, although this was allowed prior to NetBSD 5.0. Also, the hardware IPv4 TCP receive checksumming support has bugs, so this is disabled.

On the SX fibre variants of the hardware, the link will stay down if there is a duplex mismatch. Also, packet transmission may fail when in half-duplex mode.